package org.rcisoft.common.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.common.component.Global;
import org.rcisoft.common.model.FileUpload;
import org.rcisoft.core.constant.MessageConstant;
import org.rcisoft.core.exception.ServiceException;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.result.Result;
import org.rcisoft.core.result.ResultServiceEnums;
import org.rcisoft.core.util.UploadUtil;
import org.rcisoft.sys.user.bean.CurUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.Valid;
import java.util.Map;
@Api(tags = "09 公共上传图片")
@RestController
@RequestMapping("/file")
@Slf4j
public class FileUploadController extends FileController {

    @Autowired
    private Global global;

    @ApiOperation(value="901 上传图片", notes="上传图片到服务器")
//    @ApiImplicitParams({@ApiImplicitParam(name = "file", value = "图片文件", required = true, dataType = "MultipartFile"),
////            @ApiImplicitParam(name = "businessId", value = "课程id", required = true, dataType = "varchar")
//    })
    @PostMapping(value = "upload")
    public Result upload(CurUser curUser, @Valid MultipartFile file, BindingResult bindingResult) throws Exception {
        Result result = new Result();
        //获取文件名称
        String originalName = file.getOriginalFilename();
        String path = global.getBASE_UPLOAD_SERVER_LOCATION();
        String course_logo_path =global.getIMAGE_LOCATION()+global.getCOURSE_LOGO_LOCATION();
        boolean type = false;
        if("1".equals(global.getIS_SERVER_LINUX())){
            type = true;
        }
        Map<String,Object> map= UploadUtil.picImport(path,course_logo_path,file,type);
        if(map.get(UploadUtil.IS_SUCCESSS).equals(true))
        {
//            BLesson bL=new BLesson();
//            bL.setCode(code);
//            BLesson bLesson=bLessonService.selectOne(bL);
//            if(bLesson!=null){
//                bLesson.setDefaultUrl(map.get(UploadUtil.URL).toString());
//                UserUtil.setCurrentMergeOperation(bLesson);
//                int line = bLessonService.updateByPrimaryKeySelective(bLesson);
//                return Result.builder(new PersistModel(line),
//                        MessageConstant.MESSAGE_ALERT_SUCCESS,
//                        MessageConstant.MESSAGE_ALERT_ERROR,
//                        bLessonService.selectOne(code));
//            }else{
//
//                throw new ServiceException(ResultServiceEnums.UPLOAD_FILE_ERROR);
//            }

            FileUpload fileUpload = new FileUpload();
            fileUpload.setFileName(originalName);
            fileUpload.setFilePath("https://img.zcool.cn/community/01a949581aeb9fa84a0d304fd05eeb.jpg@1280w_1l_2o_100sh.jpg");

            return Result.builder(new PersistModel(1),
                        MessageConstant.MESSAGE_ALERT_SUCCESS,
                        MessageConstant.MESSAGE_ALERT_ERROR,
                        fileUpload);
        }
        else
        {
            throw new ServiceException(ResultServiceEnums.ADD_ERROR);
        }
    }
}
